if [ -x etc/profile.d/scim.sh ]; then
	chmod 755 etc/profile.d/scim.sh.new
else
	chmod 644 etc/profile.d/scim.sh.new
fi

( cd usr/lib ; rm -rf libscim-1.0.so.8 )
( cd usr/lib ; ln -sf libscim-1.0.so.8.2.4 libscim-1.0.so.8 )
( cd usr/lib ; rm -rf libscim-1.0.so )
( cd usr/lib ; ln -sf libscim-1.0.so.8.2.4 libscim-1.0.so )
( cd usr/lib ; rm -rf libscim-x11utils-1.0.so.8 )
( cd usr/lib ; ln -sf libscim-x11utils-1.0.so.8.2.4 libscim-x11utils-1.0.so.8 )
( cd usr/lib ; rm -rf libscim-x11utils-1.0.so )
( cd usr/lib ; ln -sf libscim-x11utils-1.0.so.8.2.4 libscim-x11utils-1.0.so )
( cd usr/lib ; rm -rf libscim-gtkutils-1.0.so.8 )
( cd usr/lib ; ln -sf libscim-gtkutils-1.0.so.8.2.4 libscim-gtkutils-1.0.so.8 )
( cd usr/lib ; rm -rf libscim-gtkutils-1.0.so )
( cd usr/lib ; ln -sf libscim-gtkutils-1.0.so.8.2.4 libscim-gtkutils-1.0.so )

config() {
 NEW="$1"
 OLD="`dirname $NEW`/`basename $NEW .new`"
 if [ ! -r $OLD ] ; then
  mv $NEW $OLD
  echo ""
  echo "  --> Installed new configuration file $OLD"
 elif [ "`cat $OLD 2> /dev/null | md5sum`" = "`cat $NEW 2> /dev/null | md5sum`" ] ; then
  rm -f $NEW
 else
  echo ""
  echo "  --> Installed new configuration file: $NEW"
  echo "  --> Setting ownership and permissions to match $OLD"
  cp -a $OLD $NEW.incoming
  cat $NEW > $NEW.incoming
  mv $NEW.incoming $NEW
  echo "  --> Preserving your old configuration file: $OLD"
  echo "  Please examine your existing configuration file: $OLD"
  echo "  to see if it needs to be updated from: $NEW"
  echo ""
 fi
}

config etc/profile.d/scim.sh.new
config etc/scim/config.new
config etc/scim/global.new


# Figure out our root directory
ROOTDIR=$(pwd)
unset CHROOT
if [ "${ROOTDIR}" != "/" ] ; then
  ROOTDIR="${ROOTDIR}/"
  CHROOT="chroot ${ROOTDIR} "
fi

# update the applications menu database
if [ -x usr/bin/update-desktop-database ] ; then
 ${CHROOT} usr/bin/update-desktop-database -q usr/share/applications 2> /dev/null
fi


# update the gtk-icon-cache
if [ -x usr/bin/gtk-update-icon-cache ] ; then
  for dir in usr/share/icons/* ; do
    if [ -d $dir ]; then
       ${CHROOT} usr/bin/gtk-update-icon-cache --quiet -f -t $dir 2> /dev/null
    fi
  done
fi


# update the gtk immodules
if [ -x usr/bin/update-gtk-immodules ] ; then
 ${CHROOT} usr/bin/update-gtk-immodules 2> /dev/null
fi

